#include "minecraft.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> portals(int N, int K) {
    vector<int> v;
    int i = 1;
    while(i <= N) {
        int l = i, r = N, mid, ans = -1;
        while(l <= r) {
            mid = (l + r) >> 1;
            if(find_portals(i, mid) >= 1) {
                ans = mid;
                r = mid - 1;
            }
            else {
                l = mid + 1;
            }
        }
        v.push_back(ans);
        i = ans + 1;
    }
}

std::pair<int, int> minimal_danger(int N, std::vector<std::pair<int, std::pair<int, int>>> paths,
                                   std::vector<int> portals, std::vector<int> fortresses) {
    return {0, 0};
}

std::pair<int, int> find_end_portal(int L) {
    return {1, 1};
}
